namespace efl { namespace event { 
inline ::efl::eolian::return_traits<bool>::type Key::pressed_get() const
{
   Eina_Bool __return_value =  ::efl_event_key_pressed_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Key::pressed_set( ::efl::eolian::in_traits<bool>::type val) const
{
    ::efl_event_key_pressed_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(val));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Key::key_name_get() const
{
   const char * __return_value =  ::efl_event_key_name_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Key::key_name_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type val) const
{
    ::efl_event_key_name_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(val));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Key::key_get() const
{
   const char * __return_value =  ::efl_event_key_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Key::key_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type val) const
{
    ::efl_event_key_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(val));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Key::string_get() const
{
   const char * __return_value =  ::efl_event_key_string_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Key::string_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type val) const
{
    ::efl_event_key_string_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(val));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Key::compose_get() const
{
   const char * __return_value =  ::efl_event_key_compose_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Key::compose_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type val) const
{
    ::efl_event_key_compose_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(val));
}
inline ::efl::eolian::return_traits<int>::type Key::key_code_get() const
{
   int __return_value =  ::efl_event_key_code_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Key::key_code_set( ::efl::eolian::in_traits<int>::type val) const
{
    ::efl_event_key_code_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(val));
}
} } 
namespace eo_cxx {
namespace efl { namespace event { 
inline ::efl::eolian::return_traits<bool>::type Key::pressed_get() const
{
   Eina_Bool __return_value =  ::efl_event_key_pressed_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Key::pressed_set( ::efl::eolian::in_traits<bool>::type val) const
{
    ::efl_event_key_pressed_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(val));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Key::key_name_get() const
{
   const char * __return_value =  ::efl_event_key_name_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Key::key_name_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type val) const
{
    ::efl_event_key_name_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(val));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Key::key_get() const
{
   const char * __return_value =  ::efl_event_key_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Key::key_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type val) const
{
    ::efl_event_key_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(val));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Key::string_get() const
{
   const char * __return_value =  ::efl_event_key_string_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Key::string_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type val) const
{
    ::efl_event_key_string_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(val));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Key::compose_get() const
{
   const char * __return_value =  ::efl_event_key_compose_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Key::compose_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type val) const
{
    ::efl_event_key_compose_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(val));
}
inline ::efl::eolian::return_traits<int>::type Key::key_code_get() const
{
   int __return_value =  ::efl_event_key_code_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Key::key_code_set( ::efl::eolian::in_traits<int>::type val) const
{
    ::efl_event_key_code_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(val));
}
inline efl::event::Key::operator ::efl::event::Key() const { return *static_cast< ::efl::event::Key const*>(static_cast<void const*>(this)); }
inline efl::event::Key::operator ::efl::event::Key&() { return *static_cast< ::efl::event::Key*>(static_cast<void*>(this)); }
inline efl::event::Key::operator ::efl::event::Key const&() const { return *static_cast< ::efl::event::Key const*>(static_cast<void const*>(this)); }
} } }

